#pragma once
#include "Entity.h"
#include "CS_MyCharAi_Icon.h"
#define CS_MYFISHAI_CREATENAME L"CS_myfish_ai"
class CS_MyFishAi :
    public Entity
{
public:
    CS_MyFishAi();
	void Init(std::weak_ptr<Entity> self) override;
	void Step() override;
	void Destroy() override;
	std::weak_ptr<CS_MyCharAi_Icon> icon;//浮在AI控制的玩家头顶上
protected:
	void Control();
	void InitControlTarget();
	virtual bool AttackAround();
	int jumpInterval = 0;
};

std::shared_ptr<Entity> CreateCS_MyFishAi();